# Grovfôrmodellen

## Bruksområde

Modellen skal underveis i vekstsesongen gi støtte for valg av høstetid i to- og 
treslåttsystem i eng som brukes til fôrproduksjon. Den er utvikla på grunnlag av 
data fra timoteidominert eng, men kan også brukes på bestand dominert av fleirårig raigras.

Modellen kjøres mot data fra værstasjonene til Landbruksmeteorologisk Tjeneste (LMT), 
og vil bare kunne gi prediksjoner for utvikling i avling og kvalitet i områder som dekkes av disse.

## Oppbygging og prinsipp i modellen
Modellen rekner ut fortløpende dagverdier for avling, fenologisk utvikling, 
fiberinnhold i avlinga (NDF og ufordøyelig NDF i tørrstoff), energikonsentrasjon 
i avlinga (fôrenheter melk, FEm, i tørrstoff) og nitrogen-/proteininnhold i avlinga 
(råprotein i tørrstoff).

Avlingsfunksjonen starter ved vekststart om våren. Dato for vekststart blir bestemt ut 
fra luft- og jordtemperatur. Vekststart inntreffer når det etter 1. mars har vært tre 
påfølgende femdøgnsmiddel for lufttemperatur høgere enn 5 °C med en samtidig middel 
jordtemperatur (10 cm) for dette tidsintervallet ³ 1°C. Enkelte av LMT sine stasjoner 
har ikke registrering av jordtemperatur, og da er det kun lufttemperaturen som bestemmer 
dato for vekststart. Avlingsfunksjonen rekner ut daglige tilvekster ut fra en potensiell 
tilvekst justert til en reell tilvekst på grunnlag av værdata, engas fenologiske utviklingstrinn 
( alder) og antakelser om vannlagringevnen i jorda der enga ligger. Justeringene skjer ved 
hjelp av fire indekser som hver kan ha verdier fra 0 til 1 og er uttrykk for på forutgående 
dags målte stråling, temperatur, vanntilgang og engas fenologisk alder.

Til funksjonene som rekner ut avling, fenologisk utvikling og fôrkvalitet, hører noen 
parametre som er faste og noen som kan tilpasses til enga det kjøres simuleringer for. 
Tilpassinga skjer på grunnlag av registreringer som bruker gjør og sjøl legger inn via 
brukergrensesnittet. Funksjonene blir ved hjelp av optimeringsrutiner tilpasset eller 
kalibrert til de lokale forholdene og deretter brukt i videre framskrivinger.

Modellen kan kjøres både med og uten lokale kalibreringer.


## Bidragsytere og finansieringskilder

Modellen er utvikla av NIBIO med finansiering fra Landbruks- og matdepartementet, 
Avgiftsfondet, Jordbruksavtalepartene, Tine, Felleskjøpet fôrutvikling, Animalia, Yara og Addcon Nordic.

Kontakperson i NIBIO er [Anne Kjersti Bakken](https://nibio.no/ansatte/anne-kjersti-bakken), 
[Divisjon for matproduksjon og samfunn](https://nibio.no/om-nibio/vare-fagdivisjoner/divisjon-for-matproduksjon-og-samfunn) .

## Teknisk informasjon

Modellen bruker lineær optimering, og avhenger av matematikkpakken [Apache Commons Math](https://commons.apache.org/proper/commons-math/), versjon 1.2
Denne versjonen er fra 2003, og Commons Math har gjennomgått mange, store endringer siden det. Dessverre har ikke classpath for de nyere versjonene endret
seg, og siden versjon 2.2 er en avhengiget for [Renjin](https://www.renjin.org/) (som brukes av VIPSCore for å kjøre modeller implementert i R), får vi avhengighetsforvirring i VIPSCore.
Derfor har vi kompilert vår egen versjon av Commons Math v2, hvor pakkene er gitt nye navn (`org.apache.commons.math` -> `org.apache.commons.math12`). 
Denne ligger tilgjengelig i NIBIOs GitLab.
